Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 603274 - [abrt] crash in simple-scan-1.0.2-1.fc13: raise: Process /usr/bin/simple-scan was killed by signal 6 (SIGABRT)
[abrt] crash in simple-scan-1.0.2-1.fc13: raise: Process /usr/bin/simple-scan...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:884c32945977993cc5be131ef6c...
:
: 650585 (view as bug list)
Depends On: 603275 604197
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 02:23 EDT by Davide Prade
Modified: 2011-06-27 14:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.09 KB, text/plain)
2010-06-12 02:23 EDT, Davide Prade
no flags Details

  None (edit)
Description Davide Prade 2010-06-12 02:23:25 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: simple-scan
component: simple-scan
crash_function: raise
executable: /usr/bin/simple-scan
global_uuid: 884c32945977993cc5be131ef6c803716dbebdd6
kernel: 2.6.33.5-112.fc13.i686
package: simple-scan-1.0.2-1.fc13
rating: 4
reason: Process /usr/bin/simple-scan was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Add these lines in "/etc/sane.d/hp.conf":
         # HP OfficeJet J4680
         usb 0x03f0 0x2c12
2. Start "Simple Scan"
Comment 1 Davide Prade 2010-06-12 02:23:28 EDT
Created attachment 423444 [details]
File: backtrace
Comment 2 Davide Prade 2010-06-12 02:37:42 EDT
$ simple-scan "libusb:001:003"

simple-scan: hp-option.c:3714: hp_optset_fix_geometry_options: Asserzione `tl_x && tl_y && br_x && br_y' fallita.
Comment 3 Davide Prade 2010-06-15 12:15:26 EDT
$ sane-find-scanner 

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x03f0 [HP], product=0x2c12 [Officejet J4680 series]) at libusb:001:005
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.

  # You may want to run this program as root to find all devices. Once you
  # found the scanner devices, be sure to adjust access permissions as
  # necessary.
Comment 4 Davide Prade 2010-06-15 12:18:21 EDT
Strange behavior:

$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

$ scanimage -L
scanimage: hp-option.c:3714: hp_optset_fix_geometry_options: Assertion `tl_x && tl_y && br_x && br_y' failed.

$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

$ scanimage -L
scanimage: hp-option.c:3714: hp_optset_fix_geometry_options: Assertion `tl_x && tl_y && br_x && br_y' failed.
Comment 5 Davide Prade 2010-06-15 12:20:09 EDT
$ cat /etc/sane.d/hp.conf 
scsi HP
# Uncomment the following if you have "Error during device I/O" on SCSI
#   option dumb-read
#
# The usual place for a SCSI-scanner on Linux
/dev/scanner
#
# USB-scanners supported by the hp-backend
# HP ScanJet 4100C
usb 0x03f0 0x0101
# HP ScanJet 5200C
usb 0x03f0 0x0401
# HP ScanJet 62X0C
usb 0x03f0 0x0201
# HP ScanJet 63X0C
usb 0x03f0 0x0601
# HP OfficeJet J4680
usb 0x03f0 0x2c12
#
# Uncomment the following if your scanner is connected by USB,
# but you are not using libusb
# /dev/usb/scanner0
#   option connect-device



$ cat /etc/sane.d/hpaio.conf 
# HP OfficeJet J4680
usb 0x03f0 0x2c12
Comment 6 Davide Prade 2010-06-15 13:17:04 EDT
After the installation of "libsane-hpaio-3.10.2-11.fc13.i686" package, simple-scan works (but discontinuously):

$ simple-scan hpaio:/usb/Officejet_J4680_series?serial=CN94N9801C052X
simple-scan: hp-option.c:3714: hp_optset_fix_geometry_options: Asserzione `tl_x && tl_y && br_x && br_y' fallita.

$ simple-scan hpaio:/usb/Officejet_J4680_series?serial=CN94N9801C052X




$ scanimage -L
device `hpaio:/usb/Officejet_J4680_series?serial=CN94N9801C052X' is a Hewlett-Packard Officejet_J4680_series all-in-one
Comment 7 Karel Klíč 2010-11-08 12:44:27 EST
*** Bug 650585 has been marked as a duplicate of this bug. ***
Comment 8 Bug Zapper 2011-06-02 07:09:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 14:03:48 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.